## libevdevplus 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(libevdevPlus)

set(CMAKE_CXX_STANDARD 11)
set(PROJECT_VERSION "0.1.1")
set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "1")
set(CPACK_PACKAGE_VERSION_PATCH "1")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "An easy-to-use C++ event device library")
set(CPACK_PACKAGE_CONTACT "Yuki Workshop <https://github.com/YukiWorkshop>")
set(CMAKE_PROJECT_HOMEPAGE_URL "https://github.com/YukiWorkshop/libevdevPlus")
set(CPACK_DEBIAN_PACKAGE_HOMEPAGE ${CMAKE_PROJECT_HOMEPAGE_URL})
set(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6 (>= 2.14), libstdc++6 (>= 5.2)")
set(CPACK_PACKAGE_FILE_NAME ${PROJECT_NAME}_${PROJECT_VERSION}_${CPACK_DEBIAN_PACKAGE_ARCHITECTURE})
set(CPACK_DEBIAN_DEBUGINFO_PACKAGE yes)
set(CPACK_DEBIAN_COMPRESSION_TYPE "xz")
set(CPACK_GENERATOR "DEB;RPM;TXZ")
set(CPACK_SOURCE_GENERATOR "DEB;RPM;TXZ")
include(CPack)

include(GNUInstallDirs)

set(SOURCE_FILES
        evdevPlus.cpp
        evdevPlus.hpp CommonIncludes.hpp InputEvent.hpp Resource.cpp)

add_library(evdevPlus SHARED ${SOURCE_FILES})
add_library(evdevPlus_Static STATIC ${SOURCE_FILES})

set_target_properties(evdevPlus PROPERTIES VERSION ${PROJECT_VERSION})
set_target_properties(evdevPlus PROPERTIES SOVERSION ${CPACK_PACKAGE_VERSION_MAJOR})
set_target_properties(evdevPlus_Static PROPERTIES OUTPUT_NAME evdevPlus)

add_executable(evdevPlus_test test.cpp)
target_link_libraries(evdevPlus_test evdevPlus)

configure_file(evdevPlus.pc.in evdevPlus.pc @ONLY)
install(TARGETS evdevPlus
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(TARGETS evdevPlus_Static
        DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES evdevPlus.hpp InputEvent.hpp CommonIncludes.hpp DESTINATION include/evdevPlus/)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/evdevPlus.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/)

=== debian/changelog ===
libevdevplus (0.1.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building with CMake 4.  (Closes: #1113147)
  * Drop redundant Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 01 Oct 2025 00:16:24 +0200

libevdevplus (0.1.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Work around struct input_event.time kernel api change.  (Closes: #1069526)
  * Switch B-D from pkg-config to pkgconf.
  * PIE is enabled by default.
  * Declare Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Apr 2024 02:39:58 +0200

libevdevplus (0.1.1-2) unstable; urgency=medium

  * d/rules: set -DCMAKE_POSITION_INDEPENDENT_CODE=ON.

 -- Alexandre Viau <aviau@debian.org>  Tue, 11 Feb 2020 12:11:36 -0500

libevdevplus (0.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Tue, 11 Feb 2020 12:02:52 -0500

libevdevplus (0.1.0-2) unstable; urgency=medium

  * d/copyright: create Debian section.

 -- Alexandre Viau <aviau@debian.org>  Tue, 11 Feb 2020 02:13:09 -0500

libevdevplus (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #951103)

 -- Alexandre Viau <aviau@debian.org>  Tue, 11 Feb 2020 01:48:50 -0500

=== debian/control ===
Source: libevdevplus
Section: libs
Priority: optional
Maintainer: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>=12),
               cmake,
 pkgconf,
Standards-Version: 4.5.0
Homepage: https://github.com/YukiWorkshop/libevdevPlus
Vcs-Git: https://salsa.debian.org/debian/libevdevplus.git
Vcs-Browser: https://salsa.debian.org/debian/libevdevplus

Package: libevdevplus-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
Multi-Arch: same
Description: Development files for the libevdevplus library
 Easy-to-use event device library in C++
 .
 This package contains the static library and headers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKAGE=$(shell dh_listpackages)
TMP=$(CURDIR)/debian/$(PACKAGE)

# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- ${CONFIGURE_FLAGS}

override_dh_auto_install:
	dh_auto_install
	rm $(TMP)/usr/lib/*/*.so
	rm $(TMP)/usr/lib/*/*.so*

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libevdevPlus-$1\.tar\.gz/ \
  https://github.com/YukiWorkshop/libevdevPlus/tags .*/v?(\d\S+)\.tar\.gz
